import 'package:flutter/material.dart';
import 'package:school_management_system/screens/login/login_screen.dart';

class LoginButton extends StatelessWidget {
  const LoginButton({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        ElevatedButton(
          onPressed: () {
            Navigator.push(
              context,
              MaterialPageRoute(
                builder: (context) {
                  return const LoginScreen();
                },
              ),
            );
          },
          child: Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text(
                "go to sign in".toUpperCase(),
              ),
              const SizedBox(width: 10),
              const Icon(Icons.school)
            ],
          ),
        ),
        const SizedBox(height: 16),
      ],
    );
  }
}
